import { createSlice } from '@reduxjs/toolkit'

export const searchSlice = createSlice({
	name: 'search',
	initialState: {
		query: ''
	},
	reducers: {
		setQuery: (state, query) => {
			state.query = query.payload
		}
	}
})

// Action creators are generated for each case reducer function
export const { setQuery } = searchSlice.actions

export default searchSlice.reducer