import { configureStore } from '@reduxjs/toolkit'
import searchReducer from './searchSlice'
import displayReducer from './displaySlice'

export default configureStore({
  reducer: {
    search: searchReducer,
    display: displayReducer
  }
})